import QtQuick 2.0
import Sailfish.Silica 1.0
import QtGraphicalEffects 1.0
import "../helpers/jsFunctions.js" as JSfunctions

ListItem {
    id: delegate
    property bool flagVisible: false
    height: parent.height //Theme.itemSizeHuge * 2
    width: height * 0.83
    contentHeight: height
    contentWidth: width
    Column {
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: Theme.paddingMedium
        spacing: Theme.paddingMedium
        TagImage {id:stationimage;anchors.horizontalCenter: parent.horizontalCenter; width: delegate.width * 0.8;stationImage: ""; stationLabel: tag;}
        Label {
            id: nameLabel
            horizontalAlignment: Text.AlignHCenter
            elide: Text.ElideRight
            width: stationimage.width
            height: Theme.itemSizeExtraSmall
            text: tag ? tag : "No Tag"
            color: Theme.primaryColor
            wrapMode: Text.WordWrap
            maximumLineCount: 2
            //font.strikeout: lastcheckok == "1" ? false : true
            font.pixelSize: Theme.fontSizeTiny
        }
    }
}
