import QtQuick 2.0
import Sailfish.Silica 1.0
import QtGraphicalEffects 1.0
//import "../helpers/jsFunctions.js" as JS

Column {
    id: column
    spacing: Theme.paddingMedium
    //property alias busy: busyIndicator.running
    anchors.centerIn: parent

    Image {
        id: logo
        anchors.horizontalCenter: parent.horizontalCenter
        height: Theme.itemSizeHuge * 1.5
        width: height
        smooth: true
        source: "../images/community.png"
        ColorOverlay {
            anchors.fill: parent
            source: parent
            color: Theme.highlightColor
        }
     //   BusyIndicator {
     //       size: BusyIndicatorSize.Large
     //       anchors.centerIn: parent
     //       running: parent.visible
     //   }
    }

    Label {
        text: radioBrowser.serversModel.count > 0 ? "Found: "+radioBrowser.serversModel.count + " servers" : "Searching for servers..."
        anchors.horizontalCenter: parent.horizontalCenter
    }
    Label {
        visible: radioBrowser.serversModel.count > 0
        text: "Connecting to:"
        anchors.horizontalCenter: parent.horizontalCenter
    }
    Label {
        text: radioBrowser.server
        font.pixelSize: Theme.fontSizeSmall
        color: Theme.highlightColor
        anchors.horizontalCenter: parent.horizontalCenter
    }

}
